// the configured options and settings for xbase

#define xbase_VERSION_MAJOR     4
#define xbase_VERSION_MINOR     1
#define xbase_VERSION_PATCH     0

#define PROJECT_PARENT_DIR     "/home/paule32/prolog/src/xbase"
#define PROJECT_BINARY_DIR     "/home/paule32/prolog/src/xbase/build/linux64"

#define PROJECT_SOURCE_DIR     "/home/paule32/prolog/src/xbase/src"
#define PROJECT_RUNTIME_DIR    ""
#define PROJECT_DATA_DIR       "/home/paule32/prolog/src/xbase/data/"
#define PROJECT_LOG_DIR        "/home/paule32/prolog/src/xbase/logs/"
#define PROJECT_DFLT_LOGFILE   "Linux_x64.xbLog.txt"
#define EXTRA_LIBS             "xbase64"
#define CMAKE_RUNTIME_OUTPUT_DIRECTORY "/home/paule32/prolog/src/xbase/build/linux64/bin/x64"


#define CMAKE_HOME_DIRECTORY   "/home/paule32/prolog/src/xbase/build/linux64"
#define CMAKE_PROJECT_NAME     "xbase64"
#define BUILD_SHARED_LIBS      "ON"
#define CMAKE_SYSTEM_NAME      "Linux"
#define CMAKE_SYSTEM_PROCESSOR "x86_64"
#define CMAKE_SYSTEM_VERSION   "6.2.0-20-generic"
#define CMAKE_BUILD_TYPE       "Debug"
#define CMAKE_C_FLAGS          ""
#define CMAKE_C_FLAGS_DEBUG    "-g"
#define CMAKE_C_FLAGS_RELEASE  "-O3 -DNDEBUG"


#define XB_PLATFORM            "x64"
#define Mylibrary_Exports      ""
#define MYLIB_EXPORT           ""
#define CMAKE_SIZEOF_VOID_P    "8"

#define CMAKE_COMPILER         "GNU"

// integer definitions
#define xbInt16                 short int
#define xbUInt16                unsigned short int
#define xbInt32                 int
#define xbUInt32                unsigned int
#define xbInt64                 int64_t
#define xbUInt64                uint64_t

#define UNIX

#define CMAKE_COMPILER_IS_GNUCC
#define HAVE_CTYPE_H
#define HAVE_DIRENT_H
/* #undef HAVE_DOS_H */
#define HAVE_FCNTL_H
#define HAVE_INTTYPES_H
#define HAVE_PWD_H
#define HAVE_STDARG_H
/* #undef HAVE_STDARGS_H */
#define HAVE_STRING_H
#define HAVE_STRINGS_H
#define HAVE_STAT_H
#define HAVE_UNISTD_H
/* #undef HAVE_VARARGS_H */
/* #undef HAVE_WINDOWS_H */

/* #undef HAVE__CLOSE_F */
/* #undef HAVE_CREATEPROCESSW_F */
/* #undef HAVE_CREATEPROCESSW_F2 */
#define HAVE_FCNTL_F
/* #undef HAVE__FDOPEN_F */
/* #undef HAVE__FILENO_F */
/* #undef HAVE_FOPEN_S_F */
/* #undef HAVE__FSOPEN_F */

#define HAVE_FORK_F
/* #undef HAVE__FSEEKI64_F */
#define HAVE_FSEEKO_F
#define HAVE_FTRUNCATE_F
/* #undef HAVE__LOCALTIME64_S_F */
/* #undef HAVE_LOCKFILE_F */
/* #undef HAVE_LOCKING_F */
/* #undef HAVE__LOCKING_F */
/* #undef HAVE__OPEN_F */
/* #undef HAVE_SETENDOFFILE_F */
#define HAVE_VSNPRINTF_F
/* #undef HAVE__VSNPRINTF_S_F */
/* #undef HAVE_VSPRINTF_S_F */

/* #undef XB_PLATFORM_32 */
#define XB_PLATFORM_64
#define XB_DEBUG_SUPPORT
#define XB_LINKLIST_SUPPORT
#define XB_MEMO_SUPPORT
#define XB_LOGGING_SUPPORT
#define XB_DBF3_SUPPORT
#define XB_DBF4_SUPPORT
#define XB_LOCKING_SUPPORT
#define XB_FUNCTION_SUPPORT
#define XB_EXPRESSION_SUPPORT
#define XB_INDEX_SUPPORT
#define XB_NDX_SUPPORT
#define XB_MDX_SUPPORT
#define XB_SQL_SUPPORT
#define XB_INF_SUPPORT
#define XB_FILTER_SUPPORT
#define XB_BLOCKREAD_SUPPORT

#define XB_UTILS_SUPPORT
#define XB_EXAMPLES_SUPPORT

#define HAVE_LONG_LONG

#if defined (WIN32)
  #if defined ( Mylibrary_Exports )
    #define  XBDLLEXPORT __declspec(dllexport)
  #else
    #define  XBDLLEXPORT __declspec(dllimport)
  #endif
#else
  #define  XBDLLEXPORT
#endif

#if defined (UNIX) && defined (XB_PLATFORM_32)
  #define _FILE_OFFSET_BITS 64
#endif

